{% extends 'base.html' %}

{% block meta %}
{% endblock meta %}



{% block content %}


<h1 class="text-center">List Transaksi RS</h1>
<table class="table">
    <thead>
        <tr>
            <th scope="col">ID Transaksi</th>
            <th scope="col">Kode Pasien</th>
            <th scope="col">Tanggal Pembayaran</th>
            <th scope="col">Waktu Pembayaran</th>
            <th scope="col">Tanggal Masuk</th>
            <th scope="col">Total Biaya</th>
            <th scope="col">Status Bayar</th>
            {% if request.session.peran == 'admin satgas' %}
            <th scope="col"></th>
            <th scope="col"></th>
            {% endif %}
        </tr>
    </thead>
    <tbody>

        {% for rrs in rrst %}
        <tr>
            <th scope="row">{{ rrs.idtransaksi }}</th>

            <td>{{ rrs.kodepasien }}</td>
            <td>{{ rrs.tanggalpembayaran }}</td>
            <td>{{ rrs.waktupembayaran }}</td>
            <td>{{ rrs.tglmasuk }}</td>
            <td>{{ rrs.totalbiaya }}</td>
            <td>{{ rrs.statusbayar }}</td>

            {% if request.session.peran == 'admin satgas' %}
            <td>
                <form action="{% url 'transaksirs:update' %}" method="get">
                    <input type="hidden" id="idtransaksi" name="idtransaksi" value="{{ rrs.idtransaksi }}">
                    <button type="submit" class="btn btn-outline-warning">Update</button>
                </form>
            </td>
            <td>

                <form action="{% url 'transaksirs:delete' %}" method="get">
                    <input type="hidden" id="idtransaksi" name="idtransaksi" value="{{ rrs.idtransaksi }}">
                    <button type="submit" class="btn btn-outline-danger">Delete</button>
                </form>
            </td>
            </td>
            {% endif %}
        </tr>

        {% endfor %}

    </tbody>
</table>


{% endblock content %}